Warning: Parameter 1 to modMainMenuHelper::buildXML() expected to be a reference.

Error: Warning: Parameter 1 to modMainMenuHelper::buildXML() expected to be a reference.
Solution :
This error isĀ  occurred due the php version 5.3 and joomla is not certified to work with PHP 5.3.0.
You need to change some code in your files.
open the file
vi /home/username/public/modules/mod_mainmenu/helper.php
You can change this :
Form
function buildXML(&$params)
to
function buildXML($params)
Save the file try to access your site.

Related posts

10 Thoughts to “Warning: Parameter 1 to modMainMenuHelper::buildXML() expected to be a reference.”

  1. Sam

    Thanks a lot man! This worked for me. You are a genius for figuring this out. Everyone else said to downgrade my php.

    1. Guru

      Thanks a ton .

  2. Thank you!!! This fixed my site very easily!

  3. Simon

    Thanks very much for this very simple and quick fix.

  4. twil

    thanks a lot, I can resolve my problem quickly.

Leave a Comment